Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156203 - cook - FC4 rebuild failed
Summary: cook - FC4 rebuild failed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cook
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-28 13:02 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-30 22:56:37 UTC


Attachments (Terms of Use)
Patch for gcc4 build (deleted)
2005-05-10 08:45 UTC, Ignacio Vazquez-Abrams
no flags Details | Diff

Description Michael Schwendt 2005-04-28 13:02:46 UTC
This package failed to rebuild for FC4 Development around 2005-04-11 after an
automated release bump.

Architectures: i386 ppc

Build failure logs at: http://fedoraproject.org/extras/development/build-logs/

Comment 1 Ignacio Vazquez-Abrams 2005-05-10 08:45:35 UTC
Created attachment 114194 [details]
Patch for gcc4 build

Give this one a try. I tried changing it to "extern static int limit" but gcc4
barfed on that.

Comment 2 Michael Schwendt 2005-05-11 13:14:46 UTC
"extern" and "static" are mutually exclusive storage-class specifiers.

Comment 3 Ignacio Vazquez-Abrams 2005-05-11 13:27:50 UTC
So then what's the proper solution? To declare it static in both files?

Comment 4 Michael Schwendt 2005-05-11 13:38:28 UTC
No, to drop "static" from the definition in the *.c file.


Comment 5 Jeremy Katz 2005-05-25 21:37:25 UTC
Committed and queued


Note You need to log in before you can comment on or make changes to this bug.